Package: grails.doc.filters

## [Groovy] Class HeaderFilter

- grails.doc.filters.HeaderFilter

-     class HeaderFilter
      extends org.radeox.filter.regex.RegexTokenFilter

  Authors:
    Graeme Rocher
  Since:
    1.1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.radeox.filter.regex.RegexTokenFilter` | `SINGLELINE, MULTILINE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HeaderFilter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `handleMatch(java.lang.StringBuffer out, org.radeox.regex.MatchResult matchResult, org.radeox.filter.context.FilterContext filterContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.radeox.filter.regex.RegexTokenFilter` | `org.radeox.filter.regex.RegexTokenFilter#handleMatch(java.lang.StringBuffer, org.radeox.regex.MatchResult, org.radeox.filter.context.FilterContext), org.radeox.filter.regex.RegexTokenFilter#filter(java.lang.String, org.radeox.filter.context.FilterContext), org.radeox.filter.regex.RegexTokenFilter#clearRegex(), org.radeox.filter.regex.RegexTokenFilter#addRegex(java.lang.String, java.lang.String), org.radeox.filter.regex.RegexTokenFilter#addRegex(java.lang.String, java.lang.String, boolean), org.radeox.filter.regex.RegexTokenFilter#setInitialContext(org.radeox.api.engine.context.InitialRenderContext), org.radeox.filter.regex.RegexTokenFilter#replaces(), org.radeox.filter.regex.RegexTokenFilter#before(), org.radeox.filter.regex.RegexTokenFilter#getDescription(), org.radeox.filter.regex.RegexTokenFilter#wait(long), org.radeox.filter.regex.RegexTokenFilter#wait(long, int), org.radeox.filter.regex.RegexTokenFilter#wait(), org.radeox.filter.regex.RegexTokenFilter#equals(java.lang.Object), org.radeox.filter.regex.RegexTokenFilter#toString(), org.radeox.filter.regex.RegexTokenFilter#hashCode(), org.radeox.filter.regex.RegexTokenFilter#getClass(), org.radeox.filter.regex.RegexTokenFilter#notify(), org.radeox.filter.regex.RegexTokenFilter#notifyAll()`

- - ### Constructor Detail

    - #### HeaderFilter()

  - ### Method Detail

    - #### void handleMatch(java.lang.StringBuffer out, org.radeox.regex.MatchResult matchResult, org.radeox.filter.context.FilterContext filterContext)